import { MongoDB } from '@alien-worlds/aw-storage-mongodb';
import { ExtendedSymbolMongoModel, Pair, ExtendedSymbolRawModel } from '@alien-worlds/aw-antelope';
export type RegdacMongoModel = {
    _id?: MongoDB.ObjectId;
    owner?: string;
    dac_id?: string;
    dac_symbol?: ExtendedSymbolMongoModel;
    title?: string;
    refs?: Pair[];
    accounts?: Pair[];
    [key: string]: unknown;
};
export type RegdacRawModel = {
    owner?: string;
    dac_id?: string;
    dac_symbol?: ExtendedSymbolRawModel;
    title?: string;
    refs?: Pair[];
    accounts?: Pair[];
    [key: string]: unknown;
};
