import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Hdlegovchg } from "../../domain/entities";
import { HdlegovchgMongoModel, HdlegovchgRawModel } from "../dtos/hdlegovchg.dto";
export declare class HdlegovchgMongoMapper extends MongoMapper<Hdlegovchg, HdlegovchgMongoModel> {
    constructor();
    toEntity(mongoModel: HdlegovchgMongoModel): Hdlegovchg;
}
export declare class HdlegovchgRawMapper extends MapperImpl<Hdlegovchg, HdlegovchgRawModel> {
    fromEntity(entity: Hdlegovchg): HdlegovchgRawModel;
    toEntity(rawModel: HdlegovchgRawModel): Hdlegovchg;
}
