import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Regref } from "../../domain/entities";
import { RegrefMongoModel, RegrefRawModel } from "../dtos/regref.dto";
export declare class RegrefMongoMapper extends MongoMapper<Regref, RegrefMongoModel> {
    constructor();
    toEntity(mongoModel: RegrefMongoModel): Regref;
}
export declare class RegrefRawMapper extends MapperImpl<Regref, RegrefRawModel> {
    fromEntity(entity: Regref): RegrefRawModel;
    toEntity(rawModel: RegrefRawModel): Regref;
}
