import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Setstatus } from "../../domain/entities";
import { SetstatusMongoModel, SetstatusRawModel } from "../dtos/setstatus.dto";
export declare class SetstatusMongoMapper extends MongoMapper<Setstatus, SetstatusMongoModel> {
    constructor();
    toEntity(mongoModel: SetstatusMongoModel): Setstatus;
}
export declare class SetstatusRawMapper extends MapperImpl<Setstatus, SetstatusRawModel> {
    fromEntity(entity: Setstatus): SetstatusRawModel;
    toEntity(rawModel: SetstatusRawModel): Setstatus;
}
