import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { ExtendedSymbol, Pair } from '@alien-worlds/aw-antelope';
export declare class Regdac implements Entity {
    owner: string;
    dacId: string;
    dacSymbol: ExtendedSymbol;
    title: string;
    refs: Pair[];
    accounts: Pair[];
    id?: string;
    constructor(owner: string, dacId: string, dacSymbol: ExtendedSymbol, title: string, refs: Pair[], accounts: Pair[], id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(owner: string, dacId: string, dacSymbol: ExtendedSymbol, title: string, refs: Pair[], accounts: Pair[], id?: string, rest?: UnknownObject): Regdac;
    static getDefault(): Regdac;
}
