"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Regref = void 0;
class Regref {
    dacId;
    value;
    type;
    id;
    constructor(dacId, value, type, id) {
        this.dacId = dacId;
        this.value = value;
        this.type = type;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            dacId: this.dacId,
            value: this.value,
            type: this.type,
        };
    }
    static create(dacId, value, type, id, rest) {
        const entity = new Regref(dacId, value, type, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Regref('', '', 0);
    }
}
exports.Regref = Regref;
