import { ContractDelta, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/index-worlds-delta';
import { IndexWorldsDeltaMongoModel, IndexWorldsDeltaRawModel } from '../dtos';
export declare class IndexWorldsDeltaMongoMapper extends MongoMapper<ContractDelta<DataEntityType>, IndexWorldsDeltaMongoModel> {
    fromEntity(entity: ContractDelta<DataEntityType>): IndexWorldsDeltaMongoModel;
    toEntity(mongoModel: IndexWorldsDeltaMongoModel): ContractDelta<DataEntityType>;
}
export declare class IndexWorldsDeltaProcessorTaskMapper extends MapperImpl<ContractDelta<DataEntityType, IndexWorldsDeltaRawModel>, IndexWorldsDeltaRawModel> {
    fromEntity(entity: ContractDelta<DataEntityType, IndexWorldsDeltaRawModel>): IndexWorldsDeltaRawModel;
    toEntity(rawModel: IndexWorldsDeltaRawModel): ContractDelta<DataEntityType, IndexWorldsDeltaRawModel>;
}
