import { Entity, UnknownObject } from "@alien-worlds/aw-core";
import { ExtendedSymbol, Pair } from '@alien-worlds/aw-antelope';
export declare class Dacs implements Entity {
    owner: string;
    dacId: string;
    title: string;
    symbol: ExtendedSymbol;
    refs: Pair[];
    accounts: Pair[];
    dacState: number;
    id?: string;
    constructor(owner: string, dacId: string, title: string, symbol: ExtendedSymbol, refs: Pair[], accounts: Pair[], dacState: number, id?: string);
    rest?: UnknownObject;
    toJSON(): UnknownObject;
    static create(owner: string, dacId: string, title: string, symbol: ExtendedSymbol, refs: Pair[], accounts: Pair[], dacState: number, id?: string, rest?: UnknownObject): Dacs;
    static getDefault(): Dacs;
}
