"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Nftcache = void 0;
class Nftcache {
    nftId;
    schemaName;
    value;
    id;
    constructor(nftId, schemaName, value, id) {
        this.nftId = nftId;
        this.schemaName = schemaName;
        this.value = value;
        this.id = id;
    }
    rest;
    toJSON() {
        return {
            nftId: this.nftId,
            schemaName: this.schemaName,
            value: this.value,
        };
    }
    static create(nftId, schemaName, value, id, rest) {
        const entity = new Nftcache(nftId, schemaName, value, id);
        entity.rest = rest;
        return entity;
    }
    static getDefault() {
        return new Nftcache(0, '', 0);
    }
}
exports.Nftcache = Nftcache;
