import { Container } from '@alien-worlds/aw-core';
import { MongoConfig, MongoSource } from '@alien-worlds/aw-storage-mongodb';
import { IndexWorldsActionRepository } from './actions/domain/repositories';
import { IndexWorldsContractService } from "./services/index-worlds-contract.service";
import { IndexWorldsDeltaRepository } from './deltas/domain/repositories';
import { AntelopeRpcSourceImpl } from '@alien-worlds/aw-antelope';
export declare const setupIndexWorldsActionRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<IndexWorldsActionRepository>;
export declare const setupIndexWorldsDeltaRepository: (mongo: MongoSource | MongoConfig, container?: Container) => Promise<IndexWorldsDeltaRepository>;
export declare const setupIndexWorldsContractService: (antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string, container?: Container) => IndexWorldsContractService;
