import { DacglobalsRawModel, DacsRawModel, NftcacheRawModel } from '../deltas/data/dtos';
import { AntelopeRpcSourceImpl, AntelopeSmartContractServiceImpl } from '@alien-worlds/aw-antelope';
import { IndexWorldsContractService } from './index-worlds-contract.service';
import { GetTableRowsOptions, Result } from '@alien-worlds/aw-core';
export declare class IndexWorldsContractServiceImpl extends AntelopeSmartContractServiceImpl implements IndexWorldsContractService {
    constructor(antelopeRpcSourceImpl: AntelopeRpcSourceImpl, serviceUrl: string);
    fetchDacglobals(options?: GetTableRowsOptions): Promise<Result<DacglobalsRawModel[], Error>>;
    fetchDacs(options?: GetTableRowsOptions): Promise<Result<DacsRawModel[], Error>>;
    fetchNftcache(options?: GetTableRowsOptions): Promise<Result<NftcacheRawModel[], Error>>;
}
