import { ContractAction, MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { DataEntityType } from '../../domain/entities/index-worlds-action';
import { IndexWorldsActionMongoModel, IndexWorldsActionRawModel } from '../dtos';
export declare class IndexWorldsActionMongoMapper extends MongoMapper<ContractAction<DataEntityType>, IndexWorldsActionMongoModel> {
    fromEntity(entity: ContractAction<DataEntityType>): IndexWorldsActionMongoModel;
    toEntity(mongoModel: IndexWorldsActionMongoModel): ContractAction<DataEntityType>;
}
export declare class IndexWorldsActionProcessorTaskMapper extends MapperImpl<ContractAction<DataEntityType, IndexWorldsActionRawModel>, IndexWorldsActionRawModel> {
    fromEntity(entity: ContractAction<DataEntityType, IndexWorldsActionRawModel>): IndexWorldsActionRawModel;
    toEntity(rawModel: IndexWorldsActionRawModel): ContractAction<DataEntityType, IndexWorldsActionRawModel>;
}
