import { MapperImpl } from '@alien-worlds/aw-core';
import { MongoMapper } from '@alien-worlds/aw-storage-mongodb';
import { Dacs } from "../../domain/entities";
import { DacsMongoModel, DacsRawModel } from "../dtos/dacs.dto";
export declare class DacsMongoMapper extends MongoMapper<Dacs, DacsMongoModel> {
    constructor();
    toEntity(mongoModel: DacsMongoModel): Dacs;
}
export declare class DacsRawMapper extends MapperImpl<Dacs, DacsRawModel> {
    fromEntity(entity: Dacs): DacsRawModel;
    toEntity(rawModel: DacsRawModel): Dacs;
}
