import { GetTableRowsOptions, Result, SmartContractService } from '@alien-worlds/aw-core';
import { DacglobalsRawModel, DacsRawModel, NftcacheRawModel } from '../deltas/data/dtos';
export declare abstract class IndexWorldsContractService extends SmartContractService {
    static Token: string;
    abstract fetchDacglobals(options?: GetTableRowsOptions): Promise<Result<DacglobalsRawModel[], Error>>;
    abstract fetchDacs(options?: GetTableRowsOptions): Promise<Result<DacsRawModel[], Error>>;
    abstract fetchNftcache(options?: GetTableRowsOptions): Promise<Result<NftcacheRawModel[], Error>>;
}
